<?php
include_once("c_events_meeting_card_edit_step1.php");
class c_page_cab_events_meeting_card_edit_personals extends c_page_cab_events_meeting_card_edit_step1
{
  public $h1='Редактирование параметров собрания - участники мероприятия' ;

  function select_obj_info()
  {  parent::select_obj_info();
     if ($this->rec_event['pkey'])
     { $this->h1=$this->rec_event['obj_name'].' -  участники мероприятия' ;
       if ($this->rec_event['enabled']) $this->after_save_url=$this->rec_event['__href'].'edit/step2/' ;
       else                             $this->after_save_url=$this->rec_event['__href'].'edit/step3/' ;
     }
  }

  function block_main()
  { $this->page_title() ;
    $this->panel_personals() ;
  }

   function panel_personals()
   {
     include_once(_DIR_EXT.'/personal/report_personals.php');
     $report_obj=new report_personals();
     $report_obj->personals_filter_reffer=$this->rec_event['_reffer'];
     $report_obj->no_use_account_usl_select=1; // показывать всех сотрудников без учета фильтра по текущему аккаунту
     $report_obj->init() ;
     $report_obj->setting() ;
     $report_obj->view_as_HTML(array('debug'=>0));
   }



}
?>
